%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Mozilla-CA
Version:       20250202
Release:       1mamba
Summary:       Mozilla::CA - Mozilla's CA cert bundle in PEM format
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/L/LW/LWP/Mozilla-CA-%{version}.tar.gz
License:       GPL, Artistic
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
Mozilla::CA - Mozilla's CA cert bundle in PEM format.

%prep
%setup -q -n Mozilla-CA-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

#find %{buildroot} -name *.so -exec chmod u+w {} ;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Feb 04 2025 Automatic Build System <autodist@openmamba.org> 20250202-1mamba
- automatic version update by autodist

* Tue Sep 24 2024 Automatic Build System <autodist@openmamba.org> 20240924-1mamba
- automatic version update by autodist

* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 20240730-1mamba
- automatic version update by autodist

* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 20240313-1mamba
- automatic version update by autodist

* Fri Dec 15 2023 Automatic Build System <autodist@mambasoft.it> 20231213-1mamba
- automatic version update by autodist

* Thu Aug 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20230821-1mamba
- update to 20230821

* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 20221114-2mamba
- rebuilt with perl 5.36.0

* Fri Feb 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20221114-1mamba
- package created using the webbuild interface
